RDKit: RDKit::MolWriter Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::MolWriter Class Referenceabstract

`#include <MolWriters.h>`

Inheritance diagram for RDKit::MolWriter:

## Public Member Functions
virtual | ~MolWriter ()
virtual void | write (const ROMol &mol, int confId=defaultConfId)=0
virtual void | flush ()=0
virtual void | close ()=0
virtual void | setProps (const STR_VECT &propNames)=0
virtual unsigned int | numMols () const =0

## Detailed Description

Definition at line 23 of file MolWriters.h.

## Constructor & Destructor Documentation

virtual RDKit::MolWriter::~MolWriter | ( |  | ) |
| inlinevirtual

Definition at line 25 of file MolWriters.h.

References close(), flush(), numMols(), setProps(), and write().

## Member Function Documentation

virtual void RDKit::MolWriter::close | ( |  | ) |
| pure virtual

Implemented in RDKit::PDBWriter, RDKit::TDTWriter, RDKit::SDWriter, and RDKit::SmilesWriter.

Referenced by ~MolWriter().

virtual void RDKit::MolWriter::flush | ( |  | ) |
| pure virtual

Implemented in RDKit::PDBWriter, RDKit::TDTWriter, RDKit::SDWriter, and RDKit::SmilesWriter.

Referenced by RDKit::SmilesWriter::close(), RDKit::SDWriter::close(), RDKit::TDTWriter::close(), RDKit::PDBWriter::close(), and ~MolWriter().

virtual unsigned int RDKit::MolWriter::numMols | ( |  | ) | const
| pure virtual

Implemented in RDKit::PDBWriter, RDKit::TDTWriter, RDKit::SDWriter, and RDKit::SmilesWriter.

Referenced by ~MolWriter().

virtual void RDKit::MolWriter::setProps | ( | const STR_VECT & | propNames | ) |
| pure virtual

Implemented in RDKit::PDBWriter, RDKit::TDTWriter, RDKit::SDWriter, and RDKit::SmilesWriter.

Referenced by ~MolWriter().

virtual void RDKit::MolWriter::write | ( | const ROMol & | mol,
|  | int | confId = `defaultConfId`
| ) |  |
| pure virtual

Implemented in RDKit::PDBWriter, RDKit::TDTWriter, RDKit::SDWriter, and RDKit::SmilesWriter.

Referenced by ~MolWriter().

The documentation for this class was generated from the following file:

- MolWriters.h